package myClasses;
/**
 * Java application testing "Variable Argument Lists"
 *
 * @version 1.01 02/02/2005
 * @author  John Jay King
 *
 * Will not compile in Java 1.4 or earlier 
 */

public class Auto { 
	private String year;
	private String make;
	private String model;
	private String[] options;
	public Auto (String year, String make, String model, String... options) {
		this.year = year;
		this.make = make;
		this.model = model;
		this.options = options;
	}
	public String getMake() {
		return make;
	}
	public void setMake(String make) {
		this.make = make;
	}
	public String getModel() {
		return model;
	}
	public void setModel(String model) {
		this.model = model;
	}
	public String getYear() {
		return year;
	}
	public void setYear(String year) {
		this.year = year;
	}
	public void displayOptions() {
		for (String option : options) {
			System.out.println(option);
		}
	}
}
