package samples;

import java.util.*;
/**
 * Java application demonstrating HashSet collection
 *
 * @version 1.01 02/13/2005
 * @author  John Jay King
 *
 */
public class HashSetDemo {

	public static void main(String[] args) {
		HashSet myHashSet = new HashSet();
		String[] nameList = new String[7];
		boolean nameOk = false;
		nameList[0] = "Winken";
		nameList[1] = "Blinken";
		nameList[2] = "Nod";
		nameList[3] = "Eugene";
		nameList[4] = "Blinken";
		nameList[5] = "Nod";
		nameList[6] = "Field";
		for (int i = 0; i < nameList.length; i++) {
			nameOk = myHashSet.add(nameList[i]);
            if (!nameOk) {
				System.out.println(nameList[i] + " already in list!");
			}
		}
		System.out.println("myHashSet has "
		           + myHashSet.size() + " members");
		Iterator myIt = myHashSet.iterator();
		while (myIt.hasNext()) {
			System.out.println((String) myIt.next());
		}
		ArrayList myList = new ArrayList(Arrays.asList(myHashSet.toArray()));
		System.out.println("Sorted myHashSet (as ArrayList)");
		Collections.sort(myList);
		myIt = myList.iterator();
		while (myIt.hasNext()) {
			System.out.println((String) myIt.next());
		}
	}

} // end HashSetDemo class

